<?php
namespace ahura\app;
class mw_metabox
{
    static function testimonial_init()
    {
        add_meta_box('testimonial_author', __("Author", 'ahura'), [__CLASS__, 'testimonial_author'], 'testimonial', 'side');
    }
    static function pages_init()
    {
        add_meta_box('ahura_header', __('Header Options', 'ahura'), [__CLASS__, 'header_metabox_c'], 'page', 'side');
        add_meta_box('ahura_page_breadcrumb', __("Breadcrumb", 'ahura'), [__CLASS__, 'page_breadcrumb_c'], 'page', 'side');
    }
    static function posts_init()
    {
        add_meta_box('hide_thumbnail_box', __("Hide Thumbnail", 'ahura'), [__CLASS__, 'hide_thumbnail'], 'post');
    }
    static function testimonial_author($post)
    {
        $username = \ahura\app\mw_options::get_testimonial_username($post->ID);
        $sitename = \ahura\app\mw_options::get_testimonial_sitename($post->ID);
        ?>
        <p>
            <label for="mw_testimonial_username"><?php _e("User Displayname:", 'ahura');?></label>
        </p>
        <p>
            
            <input id="mw_testimonial_username" value="<?php echo $username ? $username : false?>" type="text" placeholder="e.g. John Doe" name="mw_testimonial_username">
        </p>
        <p>
            <label for="mw_testimonial_user_sitename"><?php _e("User Site Name:", 'ahura');?></label>
        </p>
        <p>
            <input type="text" value="<?php echo $sitename ? $sitename : '';?>" id="mw_testimonial_user_sitename" placeholder="e.g. Mihan Wordpress" name="mw_testimonial_user_sitename">
        </p>
        <?php
    }
    static function header_metabox_c($post)
    {
        $pid = $post->ID;
        $is_sticky_mode = mw_options::get_page_is_sticky_header($pid);
        $is_transparent_mode = mw_options::get_page_is_transparent_header($pid);
        ?>
        <div id="ahura_header_sticky_options">
            <h3><?php esc_html_e('Sticky mode', 'ahura')?></h3>
            <p>
                <input checked type="radio" name="ahura_sticky_header" id="ahura_sticky_header_default" value="0">
                <label for="ahura_sticky_header_default"><?php _e("Default", 'ahura');?></label>
            </p>
            <p>
                <input <?php checked(1, $is_sticky_mode)?> type="radio" name="ahura_sticky_header" id="ahura_sticky_header_active" value="active">
                <label for="ahura_sticky_header_active"><?php _e("Active", 'ahura');?></label>
            </p>
            <p>
                <input <?php checked(2, $is_sticky_mode)?> type="radio" name="ahura_sticky_header" id="ahura_sticky_header_inactive" value="inactive">
                <label for="ahura_sticky_header_inactive"><?php _e("Inactive", 'ahura');?></label>
            </p>
        </div>
        <div id="ahura_header_transparency_options">
            <h3><?php esc_html_e('Transparency', 'ahura')?></h3>
            <p>
                <input checked type="radio" name="ahura_transparent_header" value="0" id="ahura_transparent_header_default">
                <label for="ahura_transparent_header_default"><?php esc_html_e('Default', 'ahura')?></label>
            </p>
            <p>
                <input <?php checked(1, $is_transparent_mode)?> type="radio" name="ahura_transparent_header" id="ahura_transparent_header_active" value="active">
                <label for="ahura_transparent_header_active"><?php _e("Active", 'ahura');?></label>
            </p>
            <p>
                <input <?php checked(2, $is_transparent_mode)?> type="radio" name="ahura_transparent_header" id="ahura_transparent_header_deactive" value="deactive">
                <label for="ahura_transparent_header_deactive"><?php _e("Inactive", 'ahura');?></label>
            </p>
        </div>
        <?php
    }
    static function hide_thumbnail()
    {
        ?>
        <p>
            <input type="checkbox" id="hide_thumbnail" name="hide_thumbnail" value="check_hide_thumbnail" <?php if ( get_post_meta(get_the_ID(),'hide_thumbnail') !== null ){checked( get_post_meta(get_the_ID(),'hide_thumbnail',true), 'no' );} ?> >
            <label for="hide_thumbnail"><?php echo __('Hide Post Thumbnail','ahura')?></label>
        </p>
        <?php
    }
    static function hide_thumbnail_save($post_id) {
        if( isset( $_POST[ 'hide_thumbnail' ] ) ) {
            update_post_meta( $post_id, 'hide_thumbnail', 'no' );
        } else {
            update_post_meta( $post_id, 'hide_thumbnail', 'yes' );
        }
    }
    static function page_breadcrumb_c($post)
    {
        $current = mw_options::get_page_breadcrumb_status($post->ID);
        ?>
        <p>
            <select name="page_breadcrumb" id="page_breadcrumb">
                <option value="0"><?php _e('Default Settings', 'ahura'); ?></option>
                <option <?php selected('show', $current); ?> value="show"><?php _e('Show Breadcrumb', 'ahura'); ?></option>
                <option <?php selected('hide', $current); ?> value="hide"><?php _e('Hide Breadcrumb', 'ahura');?></option>
            </select>
        </p>
        <?php
    }
    static function store_testimonial_metabox($post_id)
    {
        $username = isset($_POST['mw_testimonial_username']) && $_POST['mw_testimonial_username'] ? sanitize_text_field($_POST['mw_testimonial_username']) : false;
        $sitename = isset($_POST['mw_testimonial_user_sitename']) && $_POST['mw_testimonial_user_sitename'] ? sanitize_text_field($_POST['mw_testimonial_user_sitename']) : false;
        if($username)
        {
            \ahura\app\mw_options::set_testimonial_username($post_id, $username);
        }else{
            \ahura\app\mw_options::remove_testimonial_username($post_id);
        }
        if($sitename)
        {
            \ahura\app\mw_options::set_testimonial_sitename($post_id, $sitename);
        }else{
            \ahura\app\mw_options::remove_testimonial_sitename($post_id);
        }
    }
    static function store_page_metaboxes_data($pid)
    {
        self::store_page_header_metabox($pid);
        self::store_page_breadcrumb_metabox($pid);
    }
    static function store_page_header_metabox($pid)
    {
        $is_sticky_mode = isset($_POST['ahura_sticky_header']) && $_POST['ahura_sticky_header'] ? $_POST['ahura_sticky_header'] : false;
        if($is_sticky_mode)
        {
            $is_sticky_mode_status = $is_sticky_mode == 'active' ? 1 : 2;
            mw_options::set_page_is_sticky_header($pid, $is_sticky_mode_status);
        }else{
            mw_options::remove_page_is_sticky_header($pid);
        }
        $is_transparent_mode = isset($_POST['ahura_transparent_header']) && $_POST['ahura_transparent_header'] ? $_POST['ahura_transparent_header'] : false;
        if($is_transparent_mode)
        {
            $transparency_status = $is_transparent_mode == 'active' ? 1 : 2;
            mw_options::set_page_is_transparent_header($pid, $transparency_status);
        }else{
            mw_options::remove_page_is_transparent_header($pid);
        }
    }
    static function store_page_breadcrumb_metabox($pid)
    {
        $page_breadcrumb = isset($_POST['page_breadcrumb']) ? $_POST['page_breadcrumb'] : false;
        if(!$page_breadcrumb)
        {
            // set deafult mode
            mw_options::remove_page_show_breadcrumb($pid);

        }
        if($page_breadcrumb == 'show')
        {
            mw_options::set_page_show_breadcrumb($pid);
        }elseif($page_breadcrumb == 'hide'){
            mw_options::set_page_hide_breadcrumb($pid);
        }
    }
}