<?php
namespace ahura\app;
class mw_options
{
    static $_tesimonial_username_option_name = 'ahura_testimonial_username';
    static $_tst_user_sitename = 'ahura_testimonial_sitename';
    static $_page_is_sticky_header = 'ahura_page_is_sticky_header';
    static $_page_is_transparent_header = 'ahura_page_is_transparent_header';
    private static $_page_breadcrumb = 'ahura_page_breadcrumb';
    static function set_testimonial_username($pid, $value)
    {
        return update_post_meta($pid, self::$_tesimonial_username_option_name, $value);
    }
    static function get_testimonial_username($pid)
    {
        return get_post_meta($pid, self::$_tesimonial_username_option_name, true);
    }
    static function remove_testimonial_username($pid)
    {
        return delete_post_meta($pid, self::$_tesimonial_username_option_name);
    }
    static function set_testimonial_sitename($pid, $value)
    {
        return update_post_meta($pid, self::$_tst_user_sitename, $value);
    }
    static function get_testimonial_sitename($pid)
    {
        return get_post_meta($pid, self::$_tst_user_sitename, true);
    }
    static function remove_testimonial_sitename($pid)
    {
        return delete_post_meta($pid, self::$_tst_user_sitename);
    }
    static function set_page_is_sticky_header($pid, $status=1) // 1: active, 2: inactive
    {
        return update_post_meta($pid, self::$_page_is_sticky_header, $status);
    }
    static function get_page_is_sticky_header($pid)
    {
        return intval(get_post_meta($pid, self::$_page_is_sticky_header, true));
    }
    static function remove_page_is_sticky_header($pid)
    {
        return delete_post_meta($pid, self::$_page_is_sticky_header);
    }
    static function set_page_is_transparent_header($pid, $status=1) // 1: active, 2: inactive
    {
        return update_post_meta($pid, self::$_page_is_transparent_header, $status);
    }
    static function get_page_is_transparent_header($pid)
    {
        return intval(get_post_meta($pid, self::$_page_is_transparent_header, true));
    }
    static function remove_page_is_transparent_header($pid)
    {
        return delete_post_meta($pid, self::$_page_is_transparent_header);
    }
    static function set_page_show_breadcrumb($pid)
    {
        return update_post_meta($pid, self::$_page_breadcrumb, 'show');
    }
    static function set_page_hide_breadcrumb($pid)
    {
        return update_post_meta($pid, self::$_page_breadcrumb, 'hide');
    }
    static function get_page_breadcrumb_status($pid)
    {
        return get_post_meta($pid, self::$_page_breadcrumb, true);
    }
    static function remove_page_show_breadcrumb($pid)
    {
        return delete_post_meta($pid, self::$_page_breadcrumb);
    }
    static function get_mod_theme_logo()
    {
        $logo = get_theme_mod('ahura_theme_logo');
        if(!$logo)
        {
            $logo = get_template_directory_uri() . '/img/ahura-logo.png';
        }
        return $logo;
    }
    static function get_mod_is_ajax_search()
    {
        return get_theme_mod('ahura_is_active_ajax_search', true);
    }
    static function page_has_breadcsrumb()
    {
        if(!is_page() || is_front_page())
        {
            return get_theme_mod('show_breadcrumb');
        }
        $pid = get_the_ID();
        $breadcrumb = self::get_page_breadcrumb_status($pid);
        if(!$breadcrumb)
        {
            // return setting value
            return get_theme_mod('show_breadcrumb');
        }
        return $breadcrumb == 'show' ? true : false;
    }
    static function get_mod_is_stickyheader()
    {
        $pid = get_the_ID();
        // check is sticky from metabox option
        $sticky_state = self::get_page_is_sticky_header($pid);
        if($sticky_state)
        {
            return $sticky_state == 1;
        }
        return get_theme_mod('stickyheader', true);
    }
    static function get_mod_header_cta_btn_text()
    {
        return get_theme_mod('ahura_header_cta_btn_text', __("Let's Start", 'ahura'));
    }
    static function get_mod_header_cta_btn_url()
    {
        return get_theme_mod('ahura_header_cta_btn_url');
    }
    static function get_mod_header_cats_menu_title()
    {
        return get_theme_mod('ahura_mega_menu_title', __("Category Menu", 'ahura'));
    }
    static function get_mod_bg_color()
    {
        return get_theme_mod('bgcolor', 'white');
    }
    static function get_mod_theme_color()
    {
        return get_theme_mod('themecolor', '#00b0ff');
    }
    static function get_mod_secondary_color()
    {
        return get_theme_mod('ahura_secondary_color', 'white');
    }
    static function get_mod_theme_font()
    {
        if(get_bloginfo('language') == 'fa-IR'){
            return get_theme_mod('ahura_theme_font', 'iranyekan');
        }else{
            return get_theme_mod('ahura_en_theme_font', 'default_font');
        }
    }
    static function get_mod_transparent_header_content_color()
    {
        return get_theme_mod('ahura_header_transparent_content_color');
    }
    static function get_mod_ahorua_transparent_logo()
    {
        return get_theme_mod('ahorua_transparent_logo');
    }
    static function get_mod_theme_columns()
    {
        return get_theme_mod('ahura_columns', '2c');
    }
    static function get_mod_theme_page_columns()
    {
        return get_theme_mod('ahura_page_columns', '2c');
    }
    static function get_mod_shop_columns()
    {
        return get_theme_mod('ahura_product_page_columns', '2c');
    }
    static function get_mod_goto_top_btn_position()
    {
        return get_theme_mod('ahura_goto_top_position', 'right');
    }
    static function get_mod_is_justify_paragraph()
    {
        return get_theme_mod('ahura_paragraph_alignment', true);
    }
    static function check_is_show_mini_cart_option()
    {
        return woocommerce::is_active();
    }
    static function check_is_transparent_header()
    {
        if(!is_customize_preview() && !is_front_page())
        {
            $pid = get_the_ID();
            $transparency_state = self::get_page_is_transparent_header($pid);
            if($transparency_state)
            {
                return $transparency_state == 1;
            }
        }
        return get_theme_mod('ahura_header_is_transparent');
    }
    static function check_has_footer_bg()
    {
        $option = get_theme_mod('ahura_footer_bg');
        return $option ? true : false;
    }
    static function sanitize_select_field($input, $setting)
    {
        $input = sanitize_key($input);
        $choices = $setting->manager->get_control($setting->id)->choices;
        return array_key_exists($input, $choices) ? $input : $setting->default;
    }

    static function get_mod_logo_alignment()
    {
        return get_theme_mod('ahura_header_logo_alignment', 'right');
    }
    static function get_mod_header_menu_alignment()
    {
        return get_theme_mod('ahura_menu_alignment', 'left');
    }
    static function get_mod_header_menu_position()
    {
        return get_theme_mod('ahura_menu_position', 'middle');
    }
    static function get_mod_action_btn_alignment()
    {
        return get_theme_mod('ahura_action_btn_alignment', 'left');
    }
    static function get_mod_mega_menu_alignment()
    {
        return get_theme_mod('ahura_mega_menu_alignment', 'right');
    }
    static function get_mod_show_mega_menu()
    {
        return get_theme_mod('ahura_show_mega_menu', true);
    }
    static function get_mod_header_top_box_background_color()
    {
        return get_theme_mod('ahura_header_top_box_background_color', '#ffffff');
    }
    static function get_mod_header_bottom_box_background_color()
    {
        return get_theme_mod('ahura_header_bottom_box_background_color', '#ffffff');
    }
    static function get_mod_header_top_and_bottom_box_text_color()
    {
        return get_theme_mod('ahura_header_top_and_bottom_box_text_color', '#35495C');
    }
    static function get_mod_mega_menu_wrapper_background_color()
    {
        return get_theme_mod('ahura_mega_menu_wrapper_background_color', '#ffffff');
    }
    static function get_mod_mega_menu_wrapper_text_color()
    {
        return get_theme_mod('ahura_mega_menu_wrapper_text_color', '#35495C');
    }
    static function get_mod_mega_menu_item_border_color()
    {
        return get_theme_mod('ahura_mega_menu_item_border_color', '#f6f6f6');
    }
    static function get_mod_is_show_header_top_border()
    {
        return get_theme_mod('ahura_is_show_header_top_border', true);
    }
    static function get_mod_header_top_border_height()
    {
        return get_theme_mod('ahura_header_top_border_height', 4);
    }
    static function check_is_header_menu_alignment_accessible()
    {
        // when menu position is not in middle
        $menu_position = self::get_mod_header_menu_position();
        return $menu_position !== 'middle';
    }
    static function check_is_header_top_box_background_color_accessible()
    {
        // when menu position is top
        $menu_position = self::get_mod_header_menu_position();
        return $menu_position == 'top';
    }
    static function check_is_header_bottom_box_background_color_accessible()
    {
        // when menu position is bottom
        $menu_position = self::get_mod_header_menu_position();
        return $menu_position == 'bottom';
    }
    static function check_is_header_top_and_bottom_box_text_color_accessible()
    {
        // when menu position is top OR bottom
        $menu_position = self::get_mod_header_menu_position();
        return $menu_position == 'top' || $menu_position == 'bottom';
    }
    static function get_mod_show_ahura_header_cta_btn()
    {
        return get_theme_mod('show_ahura_header_cta_btn', true);
    }
    static function get_mod_is_show_header_popup_login()
    {
        return get_theme_mod('ahorua_header_popup_login', true);
    }
    static function get_persian_fonts()
    {
        return
            [
                'iranyekan' => __('IranYekan', 'ahura'),
                'iransans' => __('IranSans', 'ahura'),
                'dana' => __('Dana', 'ahura'),
                'iransansdn' => __('IRANSasn Dast Nevis', 'ahura'),
            ]
        ;
    }

    static function get_custom_persian_fonts()
    {
        if(get_theme_mod('ahura_custom_font')){
            $file_path= get_theme_mod('ahura_custom_font');
            $file_path = explode("/",$file_path);
            $file_path = end($file_path);
            $file_path = explode(".",$file_path);
            $file_path = $file_path[0];
            return
            [
                'iranyekan' => __('IranYekan', 'ahura'),
                'iransans' => __('IranSans', 'ahura'),
                'dana' => __('Dana', 'ahura'),
                'iransansdn' => __('IRANSasn Dast Nevis', 'ahura'),
                $file_path
            ];
        }
        return false;
    }
}