<?php

// Block direct access to the main plugin file.

use ahura\app\customization\ios_checkbox;
use ahura\app\customization\simple_text;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$wp_customize->add_section( 'ahura_404' , array(
      'title'      => __( '404 Settings', 'ahura' ),
      'priority'   => 7,
));
$wp_customize->add_setting('ahura_404_show_text',['default'=>true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_404_show_text',[
    'label' => __( 'Show Text', 'ahura' ),
    'section' => 'ahura_404',
]));
$wp_customize->add_setting('ahura_404_text',['default'=>__('Page Not Found!','ahura')]);
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_404_text',[
    'label' => __( 'Text', 'ahura' ),
    'section' => 'ahura_404',
]));
$wp_customize->add_setting('ahura_404_show_image',['default'=>true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_404_show_image',[
    'label' => __( 'Show Image', 'ahura' ),
    'section' => 'ahura_404',
]));
$wp_customize->add_setting('ahura_404_image');
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'ahura_404_image',[
    'label' => __( 'Image', 'ahura' ),
    'section' => 'ahura_404',
    'settings' => 'ahura_404_image',
]));
$wp_customize->add_setting('ahura_404_show_go_home');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_404_show_go_home',[
    'label' => __( 'Show Go Back Button', 'ahura' ),
    'section' => 'ahura_404',
]));
$wp_customize->add_setting('ahura_404_go_home_text',['default'=>__('Title Here','ahura')]);
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_404_go_home_text',[
    'label' => __( 'Go Back Button Text', 'ahura' ),
    'section' => 'ahura_404',
]));
$wp_customize->add_setting('ahura_404_go_home_url');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_404_go_home_url',[
    'label' => __( 'Go Back Button Text URL', 'ahura' ),
    'section' => 'ahura_404',
]));
$wp_customize->add_setting('ahura_404_go_home_background_color');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_404_go_home_background_color',[
    'label' => __( 'Go Back Button Background Color', 'ahura' ),
    'section' => 'ahura_404',
    'settings' => 'ahura_404_go_home_background_color',
]));
$wp_customize->add_setting('ahura_404_go_home_color');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_404_go_home_color',[
    'label' => __( 'Go Back Button Text Color', 'ahura' ),
    'section' => 'ahura_404',
    'settings' => 'ahura_404_go_home_color',
]));
$wp_customize->add_setting('ahura_404_go_home_border_radius');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_404_go_home_border_radius',[
    'label' => __( 'Go Back Button Border Radius', 'ahura' ),
    'section' => 'ahura_404',
    'type' => 'number'
]));
$wp_customize->add_setting('ahura_404_go_home_shadow_color');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_404_go_home_shadow_color',[
    'label' => __( 'Go Back Button Shadow Color', 'ahura' ),
    'section' => 'ahura_404',
    'settings' => 'ahura_404_go_home_shadow_color',
]));