<?php

// Block direct access to the main plugin file.

use ahura\app\customization\image_radio_box;
use ahura\app\customization\ios_checkbox;
use ahura\app\customization\simple_range;
use ahura\app\customization\simple_text;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$wp_customize->add_section( 'ahuraheader' , array(
      'title'      => __('Header','ahura'),
      'priority'   => 3,
) );
$wp_customize->add_setting('stickyheader', [ 'default' => true ]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'stickyheader', array(
    'label' => __('Sticky Header','ahura'),
    'section' => 'ahuraheader',
)));
$wp_customize->add_setting('ahura_is_show_header_top_border', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_is_show_header_top_border', [
    'label' => __('Show header top border','ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_header_top_border_height', ['default' => 4]);
$wp_customize->add_control(new simple_range($wp_customize, 'ahura_header_top_border_height', [
    'label' => __('Header top border height','ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_top_border'],
    'input_attrs' => [
        'min' => 4,
        'max' => 25
    ]
]));
$wp_customize->add_setting('ahura_header_logo_alignment', ['default' => 'right']);
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_header_logo_alignment', [
    'label' => __("Logo alignment", 'ahura'),
    'section' => 'ahuraheader',
    'choices' => [
        'right' => [
            'label' => __('Right', 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/logo_alignment_right.png',
        ],
        'center' => [
            'label' => __("Center", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/logo_alignment_center.png',
        ],
        'left' => [
            'label' => __("Left", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/logo_alignment_left.png',
        ],
    ],
]));
$wp_customize->add_setting('ahura_menu_position', ['default' => 'middle']);
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_menu_position', [
    'label' => __("Menu position", 'ahura'),
    'section' => 'ahuraheader',
    'choices' => [
        'top' => [
            'label' => __('Top', 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/menu_position_top.png',
        ],
        'middle' => [
            'label' => __("Middle", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/menu_position_middle.png',
        ],
        'bottom' => [
            'label' => __("Bottom", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/menu_position_bottom.png',
        ],
    ],
]));
$wp_customize->add_setting('ahura_menu_alignment', ['default' => 'left']);
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_menu_alignment', [
    'label' => __("Menu alignment", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'check_is_header_menu_alignment_accessible'],
    'choices' => [
        'right' => [
            'label' => __('Right', 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/menu_alignment_right.png',
        ],
        'left' => [
            'label' => __("Left", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/menu_alignment_left.png',
        ],
    ],
]));
$wp_customize->add_setting('ahura_header_top_box_background_color', ['default' => '#ffffff']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_header_top_box_background_color', [
    'label' => __("Header top box", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'check_is_header_top_box_background_color_accessible']
]));
$wp_customize->add_setting('ahura_header_bottom_box_background_color', ['default' => '#ffffff']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_header_bottom_box_background_color', [
    'label' => __("Bottom top box", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'check_is_header_bottom_box_background_color_accessible']
]));
$wp_customize->add_setting('ahura_header_top_and_bottom_box_text_color', ['default' => '#35495C']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_header_top_and_bottom_box_text_color', [
    'label' => __("Menu text color", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'check_is_header_top_and_bottom_box_text_color_accessible']
]));

$wp_customize->add_setting('ahura_action_btn_alignment', ['default' => 'left']);
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_action_btn_alignment', [
    'label' => __("Action buttons alignment", 'ahura'),
    'section' => 'ahuraheader',
    'type'  =>  'radio',
    'choices' => [
        'right' => [
            'label' => __('Right', 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/action_box_alignment_right.png',
        ],
        'left' => [
            'label' => __("Left", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/action_box_alignment_left.png',
        ],
    ],
]));
$wp_customize->add_setting('ahura_show_mega_menu', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_show_mega_menu', [
    'label' => __('Show mega menu','ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_mega_menu_alignment', ['default' => 'right']);
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_mega_menu_alignment', [
    'label' => __("Mega menu alignment", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_mega_menu'],
    'choices' => [
        'right' => [
            'label' => __('Right', 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/mega_menu_alignment_right.png',
        ],
        'left' => [
            'label' => __("Left", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/mega_menu_alignment_left.png',
        ],
    ],
]));
$wp_customize->add_setting('ahura_mega_menu_wrapper_background_color', ['default' => '#ffffff']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_mega_menu_wrapper_background_color', [
    'label' => __("Category menu background color", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_mega_menu']
]));
$wp_customize->add_setting('ahura_mega_menu_wrapper_text_color', ['default' => '#35495C']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_mega_menu_wrapper_text_color', [
    'label' => __("Category menu text color", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_mega_menu']
]));
$wp_customize->add_setting('ahura_mega_menu_item_border_color', ['default' => '#f6f6f6']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_mega_menu_item_border_color', [
    'label' => __("Category menu item border color", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_mega_menu']
]));

$wp_customize->add_setting('openmenuinfrontpage', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'openmenuinfrontpage', array(
    'label' => __('Open Menu is Front Page','ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_mega_menu']
)));

$wp_customize->add_setting('ahura_mega_menu_title',[
    'default' => __("Category Menu", 'ahura')
]);
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_mega_menu_title', [
    'label' => __('Mega menu title', 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_mega_menu']
]));
$wp_customize->selective_refresh->add_partial('ahura_mega_menu_title',[
    'selector' => '.topbar .cats-list-title',
]);
$wp_customize->add_setting('show_ahura_header_cta_btn',['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'show_ahura_header_cta_btn', [
    'label' => __("Show Button", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_header_cta_btn_text', [
    'default' => __("Let's Start", 'ahura')
]);
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_header_cta_btn_text', [
    'label' => __("Button Text", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_ahura_header_cta_btn'],
]));
$wp_customize->selective_refresh->add_partial('ahura_header_cta_btn_text',[
    'selector' => '.topbar .panel_menu_wrapper .cta_button, .topbar .action-box #action_link'
]);
$wp_customize->add_setting('ahura_header_cta_btn_url', [
    'default' => '#'
]);
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_header_cta_btn_url', [
    'label' => __("Button Url", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_show_ahura_header_cta_btn'],
]));
$wp_customize->add_setting('ahura_header_is_transparent', ['default' => false]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_header_is_transparent', [
    'label' => __('Transparent Header', 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_header_transparent_content_color');
$wp_customize->add_control('ahura_header_transparent_content_color', [
    'label' => __("Header content color", 'ahura'),
    'type' => 'color',
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'check_is_transparent_header']
]);
$wp_customize->add_setting('ahorua_transparent_logo');
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'ahorua_transparent_logo', [
    'label' => __("Logo in transparent mode", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'check_is_transparent_header'],
    'description' => __( 'Recommended size: 304 X 98px', 'ahura' ),
]));
$wp_customize->add_setting('ahura_header_background',['default'=>'#fff']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_header_background', [
    'label' => __("Header Background", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_remove_header_shadow');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_remove_header_shadow', [
    'label' => __("Remove Header Shadow", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_remove_header_search_box');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_remove_header_search_box', [
    'label' => __("Remove Header Search Box", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahorua_show_mini_cart');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahorua_show_mini_cart', [
    'label' => __("Show Mini Cart", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahorua_header_popup_login', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahorua_header_popup_login', [
    'label' => __("Show Header Popup Login", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahorua_header_popup_login_link');
$wp_customize->add_control(new simple_text($wp_customize, 'ahorua_header_popup_login_link', [
    'label' => __("Header Popup Login URL", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_popup_login'],
]));
$wp_customize->add_setting('ahura_header_show_popup_login_register_text');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_header_show_popup_login_register_text', [
    'label' => __("Show Header Popup Login Register Text", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_popup_login'],
]));
$wp_customize->add_setting('ahura_header_popup_login_register_text');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_header_popup_login_register_text', [
    'label' => __("Popup Login Restister Text", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_popup_login'],
]));
$wp_customize->add_setting('ahura_header_popup_login_register_link');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_header_popup_login_register_link', [
    'label' => __("Popup Login Restister Link", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_popup_login'],
]));
$wp_customize->add_setting('ahura_header_popup_login_register_text_dir');
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_header_popup_login_register_text_dir', [
    'label' => __("Popup Login Restister Text Direction", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_popup_login'],
    'type'  =>  'radio',
    'choices' => [
        'right' => 
        [
            'label' => __('Right', 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/register_link_alignment_right.png',
        ],
        'left' => 
        [
            'label' => __("Left", 'ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/header/register_link_alignment_left.png',
        ],
    ],
]));
$wp_customize->add_setting('ahura_header_popup_login_link_to_url');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_header_popup_login_link_to_url', [
    'label' => __("Link to a URL (No Popup)", 'ahura'),
    'section' => 'ahuraheader',
    'active_callback' => ['\ahura\app\mw_options', 'get_mod_is_show_header_popup_login'],
]));
$wp_customize->add_setting('ahura_header_popup_login_show_log_out');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_header_popup_login_show_log_out', [
    'label' => __("Show Log Out When User Login", 'ahura'),
    'section' => 'ahuraheader',
]));
$wp_customize->add_setting('ahura_additional_code_in_header');
$wp_customize->add_control( new simple_text( $wp_customize, 'ahura_additional_code_in_header',[
    'label' => __( 'Add Code to Header', 'ahura' ),
    'section' => 'ahuraheader',
    'type'  => 'textarea',
]));