<?php

// Block direct access to the main plugin file.

use ahura\app\customization\image_radio_box;
use ahura\app\customization\ios_checkbox;
use ahura\app\customization\ios_radio_box;
use ahura\app\customization\simple_text;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$wp_customize->add_section( 'ahura_footer' , array(
      'title'      => __('Footer','ahura'),
      'priority'   => 6,
));

$wp_customize->add_setting('ahura_footer_color');
$wp_customize->add_control(
	new WP_Customize_Color_Control(
	$wp_customize, 'ahura_footer_color', array(
		'label'      => __( 'Background Color', 'ahura' ),
		'section'    => 'ahura_footer',
		'settings'   => 'ahura_footer_color',
	) )
);

$wp_customize->add_setting('ahura_footer_text_color');
$wp_customize->add_control(
	new WP_Customize_Color_Control(
	$wp_customize, 'ahura_footer_text_color', array(
		'label'      => __( 'Text Color', 'ahura' ),
		'section'    => 'ahura_footer',
		'settings'   => 'ahura_footer_text_color',
	) )
);

$wp_customize->add_setting('ahura_footer_bg');
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ahura_footer_bg',
    array(
    'label' => __( 'Footer Background', 'ahura' ),
    'section' => 'ahura_footer',
    'settings' => 'ahura_footer_bg',
)));
$wp_customize->add_setting('ahura_footer_bg_size', ['default' => 'auto']);
$wp_customize->add_control(new ios_radio_box($wp_customize, 'ahura_footer_bg_size', [
    'section' => 'ahura_footer',
    'label' => __("Background Size", 'ahura'),
    'choices' => [
        'auto' => __("Auto", 'ahura'),
        'contain' => __('Contain', 'ahura'),
        'cover' => __('Cover', 'ahura')
    ],
    'active_callback' => ['\ahura\app\mw_options', 'check_has_footer_bg']
]));

$wp_customize->add_setting('ahura_legend', ['default'  => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_legend', array(
    'label' => __( 'Footer Slogan', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->get_setting( 'ahura_legend' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'ahura_legend', array(
            'selector' => '.footer-legend',
            'render_callback' => '__return_false',
) );
$wp_customize->add_setting('ahura_legend_text');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_legend_text', array(
    'label' => __( 'Footer Slogan Text', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->get_setting( 'ahura_legend_text' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'ahura_legend_text', array(
            'selector' => '.footer-legend h5',
            'render_callback' => '__return_false',
) );
$wp_customize->add_setting('ahura_legend_ctalink');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_legend_ctalink', array(
    'label' => __( 'Footer Slogan Link', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->get_setting( 'ahura_legend_ctalink' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'ahura_legend_ctalink', array(
            'selector' => '.footer-legend a',
            'render_callback' => '__return_false',
) );
$wp_customize->add_setting('ahura_legend_ctatext');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_legend_ctatext', array(
    'label' => __( 'Footer Slogan Button Text', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->add_setting('ahura_legend_background');
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ahura_legend_background',
array(
'label' => __( 'Footer Slogan Background', 'ahura' ),
'section' => 'ahura_footer',
'settings' => 'ahura_legend_background',
)));

$wp_customize->add_setting('footer-copyright');
$wp_customize->add_control(new simple_text($wp_customize, 'footer-copyright', array(
    'label' => __( 'Footer Right Copyright', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->get_setting( 'footer-copyright' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'footer-copyright', array(
            'selector' => '.footer-copyright',
            'render_callback' => '__return_false',
) );



$wp_customize->add_setting('footer-copyright2');
$wp_customize->add_control(new simple_text($wp_customize, 'footer-copyright2', array(
    'label' => __( 'Footer Left Copyright', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->get_setting( 'footer-copyright2' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'footer-copyright2', array(
            'selector' => '.footer-copyright2',
            'render_callback' => '__return_false',
) );

$wp_customize->add_setting('footer_namad_check',['default' => false]);
$wp_customize->add_control( new ios_checkbox( $wp_customize, 'footer_namad_check',
    array(
    'label' => __( 'Show Footer Symbol', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('show_symbol1',['default' => true]);
$wp_customize->add_control( new ios_checkbox( $wp_customize, 'show_symbol1',
    array(
    'label' => __( 'Show Footer Symbol 1', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('show_symbol2',['default' => true]);
$wp_customize->add_control( new ios_checkbox( $wp_customize, 'show_symbol2',
    array(
    'label' => __( 'Show Footer Symbol 2', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('footer_namad1');
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'footer_namad1',
    array(
    'label' => __( 'Footer Symbol 1', 'ahura' ),
    'section' => 'ahura_footer',
    'settings' => 'footer_namad1',
)));

$wp_customize->add_setting('footer_namad1_url',['default' => '#']);
$wp_customize->add_control( new simple_text( $wp_customize, 'footer_namad1_url',
    array(
    'label' => __( 'Footer Symbol 1 Url', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('footer_namad2');
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'footer_namad2',
    array(
    'label' => __( 'Footer Symbol 2', 'ahura' ),
    'section' => 'ahura_footer',
    'settings' => 'footer_namad2',
)));

$wp_customize->add_setting('footer_namad2_url', ['default' => '#']);
$wp_customize->add_control( new simple_text( $wp_customize, 'footer_namad2_url',
    array(
    'label' => __( 'Footer Symbol 2 Url', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('footer_columns');
$wp_customize->add_control( new image_radio_box( $wp_customize, 'footer_columns',
    array(
    'label' => __( 'Footer Columns', 'ahura' ),
    'section' => 'ahura_footer',
    'choices' => array(
        '1c' => [
            'label' => __( '1 Column', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/footer/footer_columns_1c.png',
        ],
        '2c' => [
            'label' => __( '2 Column', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/footer/footer_columns_2c.png',
        ],
        '3c' => [
            'label' => __( '3 Column', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/footer/footer_columns_3c.png',
        ],
        '4c' => [
            'label' => __( '4 Column', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/footer/footer_columns_4c.png',
        ],
    ),
)));
$wp_customize->add_setting('remove_footer_border_top');
$wp_customize->add_control( new ios_checkbox( $wp_customize, 'remove_footer_border_top',
    array(
    'label' => __( 'Remove Footer Border Top', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('change_footer_namad_and_copyright_direction');
$wp_customize->add_control( new ios_checkbox( $wp_customize, 'change_footer_namad_and_copyright_direction',
    array(
    'label' => __( 'Change Copyright And Namad Direction', 'ahura' ),
    'section' => 'ahura_footer',
)));

$wp_customize->add_setting('ahura_remove_go_to_top_button');
$wp_customize->add_control( new ios_checkbox( $wp_customize, 'ahura_remove_go_to_top_button',
    array(
    'label' => __( 'Remove Go To Top Button', 'ahura' ),
    'section' => 'ahura_footer',
)));
$wp_customize->add_setting('ahura_additional_code_in_footer');
$wp_customize->add_control( new simple_text( $wp_customize, 'ahura_additional_code_in_footer',[
    'label' => __( 'Add Code to Footer', 'ahura' ),
    'section' => 'ahura_footer',
    'type'  => 'textarea',
]));