<?php

// Block direct access to the main plugin file.

use ahura\app\customization\image_radio_box;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$wp_customize->add_section('ahura_layout',array(
  'title' => __( 'Theme Layout', 'ahura' ),
  'priority' => '2',
) );
$wp_customize->add_setting('ahura_columns',array(
  'default' => '2c',
));
$ahura_columns_items = [];
if(is_rtl())
{
  $ahura_columns_items = [
    '2cr' => [
      'label' => __( 'Right Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_right.png',
    ],
    '2c' => [
      'label' => __( 'Left Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_left.png',
    ],
    '3c' => [
      'label' => __( '3 Columns', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_3c.png',
    ],
    '1c' => [
      'label' => __( 'Full Width', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_full_width.png',
    ],
    '1cc' => [
      'label' => __( 'Full Width And Center Content', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_full_width_center.png',
    ],
  ];
}else{
  $ahura_columns_items = [
    '2c' => [
      'label' => __( 'Left Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_left.png',
    ],
    '2cr' => [
      'label' => __( 'Right Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_right.png',
    ],
    '3c' => [
      'label' => __( '3 Columns', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_3c.png',
    ],
    '1c' => [
      'label' => __( 'Full Width', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_full_width.png',
    ],
    '1cc' => [
      'label' => __( 'Full Width And Center Content', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_full_width_center.png',
    ],
  ];
}
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_columns',array(
  'section' => 'ahura_layout',
  'label' => __( 'Website Columns', 'ahura' ),
  'choices' => $ahura_columns_items
)));
$wp_customize->add_setting('ahura_goto_top_position', ['default' => 'right']);
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_goto_top_position', [
  'section' => 'ahura_layout',
  'label' => __("Goto-top button position", 'ahura'),
  'choices' => [
    'right' => [
      'label' => __("Right", 'ahura'),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/goto_top_button_right.png',
    ],
    'left' => [
      'label' => __("Left", 'ahura'),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/goto_top_button_left.png',
    ],
  ]
]));
$wp_customize->add_setting('ahura_product_page_columns',array(
  'default' => '2c',
));
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_product_page_columns',array(
  'section' => 'ahura_layout',
  'label' => __( 'Woocommerce Page Columns', 'ahura' ),
  'choices' => $ahura_columns_items
)));
$wp_customize->add_setting('ahura_page_columns',array(
  'default' => '2c',
));
$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_page_columns',array(
  'section' => 'ahura_layout',
  'label' => __( 'Page Columns', 'ahura' ),
  'choices' => $ahura_columns_items
)));