<?php

use ahura\app\customization\image_radio_box;
use ahura\app\customization\ios_checkbox;
use ahura\app\customization\simple_text;
use \ahura\app\mw_options;
// Block direct access to the main plugin file.
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$wp_customize->add_section( 'ahura_post' , array(
      'title'      => __( 'Single Post', 'ahura' ),
      'priority'   => 3,
));
$wp_customize->add_setting('show_breadcrumb');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'show_breadcrumb', [
    'label' => __('Show Breadcrumb', 'ahura'),
    'section' => 'ahura_post'
]));
$wp_customize->add_setting('breadcrumb');
$wp_customize->add_control(new image_radio_box($wp_customize, 'breadcrumb', [
    'label' => __('Breadcrumb Dispaly Mode', 'ahura'),
    'section' => 'ahura_post',
    'choices' => array(
        'one' => [
            'label' => __('One','ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/posts/breadcrumb_mode_mode_1.png',
        ],
        'two' => [
            'label' => __('Two','ahura'),
            'image_url' => get_template_directory_uri() . '/img/customization/posts/breadcrumb_mode_mode_2.png',
        ],
    )
]));
$wp_customize->add_setting('show_tags', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'show_tags', array(
    'label' => __( 'Show Tags', 'ahura' ),
    'section' => 'ahura_post',
)));
$wp_customize->get_setting( 'show_tags' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'show_tags', array(
            'selector' => '.post-entry #tags',
            'render_callback' => '__return_false',
) );
$wp_customize->add_setting('show_author', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'show_author', array(
    'label' => __( 'Show Post Author', 'ahura' ),
    'section' => 'ahura_post',
)));
$wp_customize->get_setting( 'show_author' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'show_author', array(
            'selector' => '.post-entry .authorbox',
            'render_callback' => '__return_false',
) );
$wp_customize->add_setting('show_relatedposts', ['default'  => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'show_relatedposts', array(
    'label' => __( 'Related Posts', 'ahura' ),
    'section' => 'ahura_post',
)));
$wp_customize->get_setting( 'show_relatedposts' )->transport   = 'postMessage';
$wp_customize->selective_refresh->add_partial( 'show_relatedposts', array(
            'selector' => '.related-posts',
            'render_callback' => '__return_false',
) );

$wp_customize->add_setting('show_single_post_thumbnail',
array('default' => 'right')
);
$wp_customize->add_control(new image_radio_box($wp_customize, 'show_single_post_thumbnail', array(
    'label' => __( 'Post Thumbnail in Content', 'ahura' ),
    'section' => 'ahura_post',
    'choices' => array(
        'right' => [
            'label' => __( 'Right', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/posts/post_thumbnail_alignment_right.png',
        ],
        'center' => [
            'label' => __( 'Center', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/posts/post_thumbnail_alignment_center.png',
        ],
        'left' => [
            'label' => __( 'Left', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/posts/post_thumbnail_alignment_left.png',
        ],
        'none' => [
            'label' => __( 'Hide', 'ahura' ),
            'image_url' => get_template_directory_uri() . '/img/customization/posts/post_thumbnail_alignment_hidden.png',
        ],
    ),
)));
if(get_bloginfo('language') == 'fa-IR'){
    if(!get_theme_mod('ahura_custom_font')){
    $wp_customize->add_setting('ahura_post_font_family',[
        'default' => 'iranyekan',
        'sanitize_callback' => ['\ahura\app\mw_options', 'sanitize_select_field']
    ]);
    $wp_customize->add_control('ahura_post_font_family', [
        'section' => 'ahura_post',
        'type' => 'select',
        'label' => __("Post Paragraph Font Family", 'ahura'),
        'choices' => mw_options::get_persian_fonts(),
    ]);
        }
    }
    elseif(get_bloginfo('language') == 'en-US'){
        $wp_customize->add_setting('ahura_en_post_font_family',[
            'default' => 'default_font',
            'sanitize_callback' => ['\ahura\app\mw_options', 'sanitize_select_field']
        ]);
        $wp_customize->add_control('ahura_en_post_font_family', [
            'section' => 'ahura_post',
            'type' => 'select',
            'label' => "Theme Font",
            'choices' => [
                    'default_font' => 'Default',
                    'arial' => 'Arial',
                    'cambria' => 'Cambria',
                    'candara' => 'Candara',
                    'consolas' => 'Consolas',
                    'constantia' => 'Constantia',
            ]
        ]);
    }
$wp_customize->add_setting('post_paragraph_size');
$wp_customize->add_control(new simple_text($wp_customize, 'post_paragraph_size', array(
    'label' => __( 'Post paragraph font size', 'ahura' ),
    'section' => 'ahura_post',
    'description' => __('Default 16px','ahura'),
    'type'    => 'number',
)));

$wp_customize->add_setting('post_paragraph_a_size');
$wp_customize->add_control(new simple_text($wp_customize, 'post_paragraph_a_size', array(
    'label' => __( 'Post paragraph link font size', 'ahura' ),
    'section' => 'ahura_post',
    'description' => __('Default 16px','ahura'),
    'type'    => 'number',
)));

$wp_customize->add_setting('post_paragraph_color',['default' => '#35495c']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'post_paragraph_color', array(
    'label' => __( 'Post paragraph color', 'ahura' ),
    'section' => 'ahura_post',
    'settings' => 'post_paragraph_color',
)));

$wp_customize->add_setting('post_paragraph_a_color',['default' => '#35495c']);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'post_paragraph_a_color', array(
    'label' => __( 'Post paragraph link color', 'ahura' ),
    'section' => 'ahura_post',
    'settings' => 'post_paragraph_a_color',
)));

$wp_customize->add_setting('comment_send_button_background');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'comment_send_button_background', array(
    'label' => __( 'Commcnt Send Button Background', 'ahura' ),
    'section' => 'ahura_post',
    'settings' => 'comment_send_button_background',
)));
$wp_customize->add_setting('comment_send_button_color');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'comment_send_button_color', array(
    'label' => __( 'Comment Send Button Color', 'ahura' ),
    'section' => 'ahura_post',
    'settings' => 'comment_send_button_color',
)));
$wp_customize->add_setting('ahura_post_title_font_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_post_title_font_size', array(
    'label' => __( 'Post Title Fotn Size', 'ahura' ),
    'section' => 'ahura_post',
    'type'  =>  'number',
)));
if(get_bloginfo('language') == 'fa-IR'){
    if(!get_theme_mod('ahura_custom_font')){
    $wp_customize->add_setting('ahura_post_title_font_family',[
        'default' => 'iranyekan',
        'sanitize_callback' => ['\ahura\app\mw_options', 'sanitize_select_field']
    ]);
    $wp_customize->add_control('ahura_post_title_font_family', [
        'section' => 'ahura_post',
        'type' => 'select',
        'label' => __("Post Title Font Family", 'ahura'),
        'choices' => mw_options::get_persian_fonts(),
    ]);
        }
    }
    elseif(get_bloginfo('language') == 'en-US'){
        $wp_customize->add_setting('ahura_en_post_title_font_family',[
            'default' => 'default_font',
            'sanitize_callback' => ['\ahura\app\mw_options', 'sanitize_select_field']
        ]);
        $wp_customize->add_control('ahura_en_post_title_font_family', [
            'section' => 'ahura_post',
            'type' => 'select',
            'label' => "Theme Font",
            'choices' => [
                    'default_font' => 'Default',
                    'arial' => 'Arial',
                    'cambria' => 'Cambria',
                    'candara' => 'Candara',
                    'consolas' => 'Consolas',
                    'constantia' => 'Constantia',
            ]
        ]);
    }
$wp_customize->add_setting('ahura_post_title_color');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_post_title_color', array(
    'label' => __( 'Post Title Color', 'ahura' ),
    'section' => 'ahura_post',
    'settings' => 'ahura_post_title_color',
)));
$wp_customize->add_setting('ahura_post_background_color');
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'ahura_post_background_color', array(
    'label' => __( 'Post Background Color', 'ahura' ),
    'section' => 'ahura_post',
    'settings' => 'ahura_post_background_color',
)));