<?php

// Block direct access to the main plugin file.

use ahura\app\customization\image_radio_box;
use ahura\app\customization\ios_checkbox;
use ahura\app\customization\simple_text;

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$wp_customize->add_section('ahura_shop',array(
  'title' => __( 'Shop Settings', 'ahura' ),
  'priority' => '2',
) );
$wp_customize->add_setting('ahura_shop_columns',array(
  'default' => '2c',
));
$ahura_columns_items = [];
if(is_rtl())
{
  $ahura_columns_items = [
    '2cr' => [
      'label' => __( 'Right Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_right.png',
    ],
    '2c' => [
      'label' => __( 'Left Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_left.png',
    ],
    '3c' => [
      'label' => __( 'Two Sidebars', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_3c.png',
    ],
    '1c' => [
      'label' => __( 'No Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_full_width.png',
    ],
  ];
}else{
  $ahura_columns_items = [
    '2c' => [
      'label' => __( 'Left Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_left.png',
    ],
    '2cr' => [
      'label' => __( 'Right Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_right.png',
    ],
    '3c' => [
      'label' => __( 'Two Sidebars', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_3c.png',
    ],
    '1c' => [
      'label' => __( 'No Sidebar', 'ahura' ),
      'image_url' => get_template_directory_uri() . '/img/customization/layout/site_columns_full_width.png',
    ],
  ];
}

$wp_customize->add_control(new image_radio_box($wp_customize, 'ahura_shop_columns',array(
  'type' => 'radio',
  'section' => 'ahura_shop',
  'label' => __( 'Shop Sidebars', 'ahura' ),
  'choices' => $ahura_columns_items
)));

$wp_customize->add_setting('ahura_shop_show_peoduct_tags',['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_shop_show_peoduct_tags',array(
  'section' => 'ahura_shop',
  'label' => __( 'Show product tags', 'ahura' ),
)));

$wp_customize->add_setting('ahura_shop_show_product_related',['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_shop_show_product_related',array(
  'section' => 'ahura_shop',
  'label' => __( 'Show product related', 'ahura' ),
)));

$wp_customize->add_setting('ahura_product_regular_price_color',['default' => '#66BB6A']);
$wp_customize->add_control(
  new WP_Customize_Color_Control($wp_customize,'ahura_product_regular_price_color',array(
  'section' => 'ahura_shop',
  'setting' => 'ahura_product_regular_price_color',
  'label' => __( 'Product regular price color', 'ahura' ),
))
);

$wp_customize->add_setting('ahura_product_sale_price_color',['default' => '#66BB6A']);
$wp_customize->add_control(
  new WP_Customize_Color_Control($wp_customize,'ahura_product_sale_price_color',array(
  'section' => 'ahura_shop',
  'setting' => 'ahura_product_sale_price_color',
  'label' => __( 'Product sale price color', 'ahura' ),
))
);

$wp_customize->add_setting('ahura_shop_per_page',['default' => '9']);
$wp_customize->add_control(
  new simple_text($wp_customize,'ahura_shop_per_page',array(
  'section' => 'ahura_shop',
  'type' => 'number',
  'label' => __( 'Shop product per page', 'ahura' ),
))
);
