<?php

use ahura\app\customization\ios_checkbox;
use ahura\app\customization\simple_text;
use \ahura\app\mw_options;
// Block direct access to the main plugin file.
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
 if(get_theme_mod('ahura_custom_font')){
    $file_path= get_theme_mod('ahura_custom_font');
    $file_path = explode("/",$file_path);
    $file_path = end($file_path);
    $file_path = explode(".",$file_path);
    $file_path = $file_path[0];
 }
$wp_customize->add_section( 'ahura_typography' , array(
      'title'      => __('Typography','ahura'),
      'priority'   => 1,
));
if(get_bloginfo('language') == 'fa-IR'){
if(!get_theme_mod('ahura_custom_font')){
$wp_customize->add_setting('ahura_theme_font',[
    'default' => 'iranyekan',
    'sanitize_callback' => ['\ahura\app\mw_options', 'sanitize_select_field']
]);
$wp_customize->add_control('ahura_theme_font', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __("Theme Font", 'ahura'),
    'choices' => mw_options::get_persian_fonts()
]);
    }
}
elseif(get_bloginfo('language') == 'en-US'){
    $wp_customize->add_setting('ahura_en_theme_font',[
        'default' => 'default_font',
        'sanitize_callback' => ['\ahura\app\mw_options', 'sanitize_select_field']
    ]);
    $wp_customize->add_control('ahura_en_theme_font', [
        'section' => 'ahura_typography',
        'type' => 'select',
        'label' => "Theme Font",
        'choices' => [
                'default_font' => 'Default',
                'arial' => 'Arial',
                'cambria' => 'Cambria',
                'candara' => 'Candara',
                'consolas' => 'Consolas',
                'constantia' => 'Constantia',
        ]
    ]);
}
$wp_customize->add_setting('ahura_paragraph_alignment', ['default' => true]);
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_paragraph_alignment', [
    'section' => 'ahura_typography',
    'label' => __('Justify paragraph', 'ahura'),
]));
if(!get_theme_mod('ahura_custom_font')){
$wp_customize->add_setting('ahura_light_font');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_light_font', [
    'section' => 'ahura_typography',
    'label' => __('Remove Light Font Weight', 'ahura'),
]));
$wp_customize->add_setting('ahura_ultralight_font');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_ultralight_font', [
    'section' => 'ahura_typography',
    'label' => __('Remove UltraLight Font Weight', 'ahura'),
]));
$wp_customize->add_setting('ahura_medium_font');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_medium_font', [
    'section' => 'ahura_typography',
    'label' => __('Remove Medium Font Weight', 'ahura'),
]));
$wp_customize->add_setting('ahura_bold_font');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_bold_font', [
    'section' => 'ahura_typography',
    'label' => __('Remove Bold Font Weight', 'ahura'),
]));
$wp_customize->add_setting('ahura_black_font');
$wp_customize->add_control(new ios_checkbox($wp_customize, 'ahura_black_font', [
    'section' => 'ahura_typography',
    'label' => __('Remove Black Font Weight', 'ahura'),
]));
}
$wp_customize->add_setting('ahura_menu_font_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_menu_font_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Menu Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_menu_color');
$wp_customize->add_control('ahura_menu_color', [
    'section' => 'ahura_typography',
    'type' => 'color',
    'label' => __('Menu Color', 'ahura'),
]);
if(get_theme_mod('ahura_custom_font')){
$wp_customize->add_setting('ahura_menu_font_family');
$wp_customize->add_control('ahura_menu_font_family', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __('Menu Font Family', 'ahura'),
    'choices' => mw_options::get_custom_persian_fonts(),
]);
}else{
    $wp_customize->add_setting('ahura_menu_font_family');
$wp_customize->add_control('ahura_menu_font_family', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __('Menu Font Family', 'ahura'),
    'choices' => mw_options::get_persian_fonts(),
]);
}

$wp_customize->add_setting('ahura_popup_login_font_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_popup_login_font_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Popup Login Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_popup_login_color');
$wp_customize->add_control('ahura_popup_login_color', [
    'section' => 'ahura_typography',
    'type' => 'color',
    'label' => __('Popup Login Color', 'ahura'),
]);
$wp_customize->add_setting('ahura_mega_menu_font_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_mega_menu_font_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Mega Menu Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_mega_menu_color');
$wp_customize->add_control('ahura_mega_menu_color', [
    'section' => 'ahura_typography',
    'type' => 'color',
    'label' => __('Mega Menu Color', 'ahura'),
]);
if(get_theme_mod('ahura_custom_font')){
$wp_customize->add_setting('ahura_mega_menu_font_family');
$wp_customize->add_control('ahura_mega_menu_font_family', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __('Mega Menu Font Family', 'ahura'),
    'choices' => mw_options::get_custom_persian_fonts(),
]);
}else{
$wp_customize->add_setting('ahura_mega_menu_font_family');
$wp_customize->add_control('ahura_mega_menu_font_family', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __('Mega Menu Font Family', 'ahura'),
    'choices' => mw_options::get_persian_fonts(),
]);
}
$wp_customize->add_setting('ahura_custom_font');
$wp_customize->add_control(new WP_Customize_Upload_Control($wp_customize,'ahura_custom_font', 
    array(
        'label'      => __( 'Upload ".woff" File', 'ahura' ),
        'section'    => 'ahura_typography',
        'settings'   => 'ahura_custom_font',
    ) ) 
);

$wp_customize->add_setting('ahura_heading_1_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_heading_1_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Heading 1 Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_heading_2_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_heading_2_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Heading 2 Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_heading_3_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_heading_3_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Heading 3 Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_heading_4_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_heading_4_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Heading 4 Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_heading_5_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_heading_5_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Heading 5 Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_heading_6_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_heading_6_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Heading 6 Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_footer_widget_font_size');
$wp_customize->add_control(new simple_text($wp_customize, 'ahura_footer_widget_font_size', [
    'section' => 'ahura_typography',
    'type' => 'number',
    'label' => __('Footer Widget Font Size', 'ahura'),
]));
$wp_customize->add_setting('ahura_footer_widget_font_color');
$wp_customize->add_control('ahura_footer_widget_font_color', [
    'section' => 'ahura_typography',
    'type' => 'color',
    'label' => __('Footer Widget Title Color', 'ahura'),
]);
if(get_theme_mod('ahura_custom_font')){
$wp_customize->add_setting('ahura_footer_widget_font_family');
$wp_customize->add_control('ahura_footer_widget_font_family', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __('Footer Widget Title Font Family', 'ahura'),
    'choices' => mw_options::get_custom_persian_fonts(),
]);
}else{
    $wp_customize->add_setting('ahura_footer_widget_font_family');
$wp_customize->add_control('ahura_footer_widget_font_family', [
    'section' => 'ahura_typography',
    'type' => 'select',
    'label' => __('Footer Widget Title Font Family', 'ahura'),
    'choices' => mw_options::get_persian_fonts(),
]);
}