jQuery(document).ready(function($){
    function get_radio_field_value(el)
    {
        let fieldName = el.attr('name'),
            fieldEl = $(`input[name=${fieldName}]`),
            value = fieldEl.filter(':checked').val()
        return value
    }
    function change_radio_value(input, value)
    {
        input.filter(`[value=${value}]`).prop('checked', true)
        // input.change()
    }
    function is_in_rtl_mode()
    {
        return $('body').hasClass('rtl')
    }
    // handle logo alignment
    $('input[data-customize-setting-link="ahura_header_logo_alignment"]').on('change', function(e){
        // let value = $(this).val()
        let value = get_radio_field_value($(this))

        let action_box_position = $('input[data-customize-setting-link="ahura_action_btn_alignment"]'),
            action_box_position_checked_item = action_box_position.filter(':checked')
        switch(value)
        {
            case 'right':
                // change action box alignment if it is in right section
                if(action_box_position_checked_item.val() == 'right')
                {
                    change_radio_value(action_box_position, 'left')
                    action_box_position_checked_item.change()
                }
            break;
            case 'center':
                let menu_position = $('input[data-customize-setting-link="ahura_menu_position"]')
                // if menu position is middle change it to top
                let menu_position_checked_item = menu_position.filter(':checked')
                if(menu_position_checked_item.val() == 'middle')
                {
                    change_radio_value(menu_position, 'top')
                    menu_position_checked_item.change()
                }
            break;
            case 'left':
                // change action box alignment if it is in left section
                if(action_box_position_checked_item.val() == 'left')
                {
                    change_radio_value(action_box_position, 'right')
                    action_box_position_checked_item.change()
                }
            break;
        }
    })
    // haneld menu position
    $('input[data-customize-setting-link="ahura_menu_position"]').on('change', function(e){
        // let value = $(this).val()
        let value = get_radio_field_value($(this))
        switch(value)
        {
            case 'top':
                break;
            case 'middle':
                // check logo alignment
                let logo_alignment = $('input[data-customize-setting-link="ahura_header_logo_alignment"]'),
                    current_logo_alignment_item = logo_alignment.filter(':checked')
                // if logo alignment is center change it alignment
                if(current_logo_alignment_item.val() == 'center')
                {
                    change_radio_value(logo_alignment, is_in_rtl_mode() ? 'right' : 'left')
                    current_logo_alignment_item.change()
                }
                break;
            case 'bottom':
                // if is rtl => mega menu: right, menu: left
                let mega_menu_alignment = $('input[data-customize-setting-link="ahura_mega_menu_alignment"]'),
                    mega_menu_alignment_checked_item = mega_menu_alignment.filter(':checked')
                let menu_alignment = $('input[data-customize-setting-link="ahura_menu_alignment"]'),
                    menu_alignment_checked_item = menu_alignment.filter(':checked')

                if(mega_menu_alignment_checked_item.val() == 'right')
                {
                    // set menu alignment left
                    change_radio_value(menu_alignment, 'left')
                    menu_alignment_checked_item.change()
                }else{
                    // set menu alignment right
                    change_radio_value(menu_alignment, 'right')
                    menu_alignment_checked_item.change()
                }
                break;
        }
    });
    // handle menu alignment
    $('input[data-customize-setting-link="ahura_menu_alignment"]').on('change', function(e){
        let value = get_radio_field_value($(this))
        let mega_menu_alignment = $('input[data-customize-setting-link="ahura_mega_menu_alignment"]'),
            mega_menu_alignment_checked_item = mega_menu_alignment.filter(':checked')
        let menu_position = $('input[data-customize-setting-link="ahura_menu_position"]'),
            menu_position_checked_item = menu_position.filter(':checked')
        if(menu_position_checked_item.val() == 'top' || menu_position_checked_item.val() == 'middle')
        {
            return;
        }
        if(value == 'right')
        {
            // set mega menu alignemtn to left       
            if(mega_menu_alignment_checked_item.val() == 'right')     
            {
                change_radio_value(mega_menu_alignment, 'left')
                mega_menu_alignment_checked_item.change()
            }
        }else{
            // set mega menu alignment ro right
            if(mega_menu_alignment_checked_item.val() == 'left')
            {
                change_radio_value(mega_menu_alignment, 'right')
                mega_menu_alignment_checked_item.change()
            }
        }
    })
    // handle mega menu alignment
    $('input[data-customize-setting-link="ahura_mega_menu_alignment"]').on('change', function(e){
        let value = get_radio_field_value($(this))
        let menu_alignment = $('input[data-customize-setting-link="ahura_menu_alignment"]'),
            menu_alignment_checked_item = menu_alignment.filter(':checked')
        
        let menu_position = $('input[data-customize-setting-link="ahura_menu_position"]'),
            menu_position_checked_item = menu_position.filter(':checked')
        if(menu_position_checked_item.val() == 'top' || menu_position_checked_item.val() == 'middle')
        {
            return;
        }
        if(value == 'right')
        {
            // set menu alignment to left
            if(menu_alignment_checked_item.val() == 'right')
            {
                change_radio_value(menu_alignment, 'left')
                menu_alignment_checked_item.change()
            }
        }else{
            // set menu alignment to right
            if(menu_alignment_checked_item.val() == 'left')
            {
                change_radio_value(menu_alignment, 'right')
                menu_alignment_checked_item.change()
            }
        }
    })

    // handle action box alignment
    $('input[data-customize-setting-link="ahura_action_btn_alignment"]').on('change', function(e){
        let value = get_radio_field_value($(this))
        let logo_alignment = $('input[data-customize-setting-link="ahura_header_logo_alignment"]'),
            logo_alignment_checked_item = logo_alignment.filter(':checked')
        if(value == 'right')
        {
            // check logo alignment
            if(logo_alignment_checked_item.val() == 'right')
            {
                change_radio_value(logo_alignment, 'left')
                logo_alignment_checked_item.change()
            }
        }else{
            // check logo alignment
            if(logo_alignment_checked_item.val() == 'left')
            {
                change_radio_value(logo_alignment, 'right')
                logo_alignment_checked_item.change()
            }
        }
    })
})