<?php
$menu_position = \ahura\app\mw_options::get_mod_header_menu_position();
$menu_alignment = \ahura\app\mw_options::get_mod_header_menu_alignment();
$is_menu_in_middle = $menu_position == 'middle';
$middle_menu_class = \ahura\app\mw_tools::get_header_middle_section_menu_class();
?>
<div id="topbar" class="topbar <?php echo $is_menu_in_middle ? 'has_middle_menu' : ''; ?> ahura-main-header header-mode-2 <?php echo \ahura\app\mw_options::check_is_transparent_header() ? 'ahura_transparent' : '';?>">
    <?php if($menu_position == 'top'): ?>
        <div class="top-section">
            <div class="topbar-main menu-wrapper top-position <?php echo $menu_alignment?>">
                <?php rd_topmenu()?>
            </div>
        </div>
    <?php endif; ?>
    <div class="topbar-main middle-section">
        <div class="row">
            <?php
            $logo_alignment = \ahura\app\mw_options::get_mod_logo_alignment();
            ?>
            <div class="col-md-<?php echo $is_menu_in_middle ? '3' : '4';?> logo-wrapper <?php echo $logo_alignment;?>">
                <?php if(has_nav_menu('topmenu')): ?>
                    <a href="#" class="menu-icon" id="mw_open_side_menu">
                        <i class="fa fa-bars"></i>
                    </a>
                <?php endif; ?>
                <a href="<?php bloginfo('url');?>" class="logo">
                    <?php if(\ahura\app\mw_options::check_is_transparent_header() && $trs_logo = \ahura\app\mw_options::get_mod_ahorua_transparent_logo()): ?>
                        <img class="ahura_transparent_logo" src="<?php echo $trs_logo;?>"/>
                    <?php endif; ?>
                    <img src="<?php echo \ahura\app\mw_options::get_mod_theme_logo(); ?>" alt="<?php echo bloginfo('title'); ?>">
                </a>
            </div>
            <div class="col-md-<?php echo $is_menu_in_middle ? '6 menu-wrapper' : '4';?> <?php echo $middle_menu_class; ?>">
                <?php if($is_menu_in_middle): ?>
                    <div id="top-menu" class="top-menu">
                        <?php rd_topmenu(); ?>
                    </div>
                <?php endif; ?>
            </div>
            <div class="col-md-<?php echo $is_menu_in_middle ? '3' : '4';?> action-box <?php echo \ahura\app\mw_options::get_mod_action_btn_alignment();?>">
                <?php if(get_theme_mod('ahura_remove_header_search_box') != true):?><div class="search-btn-wrapper"><a href="#" id="action_search"><span class="fa fa-search"></span></a></div><?php endif;?>
                <?php if(get_theme_mod('ahorua_header_popup_login',true)):?>
                    <div id="popup_login">
                        <?php headerpopup_url();?>
                    </div>
                    <div id="ex1" class="modal">
                        <h2 class="header-popup-title"><?php echo __('Login To Account','ahura');?></h2>
                        <?php headerpopup();?>
                    </div>
                <?php endif;?>
                <?php if(get_theme_mod('ahorua_show_mini_cart')):?>
                    <?php \ahura\app\mini_cart::init_mini_cart(3);?>
                <?php endif;?> 
                <?php if(get_theme_mod('show_ahura_header_cta_btn',true)):?><a href="<?php echo \ahura\app\mw_options::get_mod_header_cta_btn_url();?>" id="action_link"><?php echo \ahura\app\mw_options::get_mod_header_cta_btn_text();?></a><?php endif;?>
                <div class="search-modal">
                    <form class="search-form">
                        <span class="close"><i class="fa fa-times"></i></span>
                        <?php $ajax_search_status = \ahura\app\mw_options::get_mod_is_ajax_search();?>
                        <input <?php echo $ajax_search_status ? 'autocomplete="off"' : ''; ?> required type="text" name="s" placeholder="<?php echo __('Type and Hit Enter...','ahura');?>"/>
                        <?php if($ajax_search_status): ?>
                            <div id="ajax_search_loading"><span class="fa fa-spinner fa-spin"></span></div>
                            <div id="ajax_search_res"></div>
                        <?php endif; ?>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="bottom-section">
        <div class="topbar-main">
            <div class="row">
                <?php $is_show_mega_menu = \ahura\app\mw_options::get_mod_show_mega_menu();?>
                <?php if($is_show_mega_menu): ?>
                    <div class="col-md-3 <?php echo \ahura\app\mw_options::get_mod_mega_menu_alignment()?> cats-list <?php echo (!is_front_page() OR !get_theme_mod( 'openmenuinfrontpage') ) ? 'isnotfront' : '' ?> mobile_hide">
                        <span class="cats-list-title"><?php echo \ahura\app\mw_options::get_mod_header_cats_menu_title(); ?></span>
                        <?php render_mega_menu(); ?>
                    </div>
                <?php endif; ?>
            <?php if($menu_position == 'bottom'): ?>
                <div class="col-md-<?php echo $is_show_mega_menu ? '9' : '12'; ?> menu-wrapper bottom-position <?php echo $menu_alignment; ?> <?php echo $is_show_mega_menu ? 'with_mega_menu' : '';?>">
                    <?php rd_topmenu()?>
                </div>
            <?php else: ?>
                <div class="col-md-<?php echo $is_show_mega_menu ? '9' : '12'; ?> <?php echo is_rtl() ? 'right' : "left";?>"></div>
            <?php endif; ?>
            </div>
        </div>
    </div>
</div>